DataBolsa docs
Referência da APIDados de mercadoEventos de mercado e mundo

Timeline de uma thread (evento-pai)

A história completa de um evento estrutural em ordem cronológica: rumor na imprensa, ato oficial, confirmação e análise. Ex.: 'mp-1376' (medida provisória), 'copom-279' (reunião), 'tarifas-eua-2026'.

GET
/v1/events/threads/{slug}
AuthorizationBearer <token>

In: header

Path Parameters

slugstring
Match^[a-z0-9-]+$

Response Body

curl -X GET "https://api.databolsa.com/v1/events/threads/string"
{
  "slug": "string",
  "kind": "string",
  "title": "string",
  "status": "string",
  "started_at": "string",
  "resolved_at": "string",
  "last_event_day": "string",
  "entities": [
    "string"
  ],
  "events": [
    {
      "event_id": 0,
      "day": "string",
      "layer": "string",
      "category": "string",
      "title": "string",
      "summary": "string",
      "entities": [
        "string"
      ],
      "tickers": [
        "string"
      ],
      "transmission_channels": [
        "string"
      ],
      "score": 0,
      "detectors": [
        "string"
      ],
      "thread_slug": "string",
      "source_refs": [
        {
          "kind": "string",
          "id": "string",
          "url": "string",
          "title": "string"
        }
      ]
    }
  ]
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string"
}